From bed1f13fb69a89de391b7b5f1d6751d5e27b255d Mon Sep 17 00:00:00 2001
From: root <root@si-cspbld63.lge.net>
Date: Mon, 2 Sep 2013 11:59:14 +0530
Subject: [PATCH] MFD: Adds "set_pwr" function pointer in tmio_mmc_data
 structure.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This patch adds "set_pwr" function pointer in tmio_mmc_data
structure. Without this patch,build system can lead to issues.
This was discovered during randconfig testing,in which leading
the following error:

CC      drivers/mfd/tc6393xb.o
drivers/mfd/tc6393xb.c:381:2: error: unknown field ‘set_pwr’ specified in initializer
  .set_pwr = tc6393xb_mmc_pwr,
  ^
make[2]: *** [drivers/mfd/tc6393xb.o] Error 1
make[1]: *** [drivers/mfd] Error 2
make: *** [drivers] Error 2

Signed-off-by: Manjunath Goudar <manjunath.goudar@linaro.org>
Cc: Arnd Bergmann <arnd@arndb.de>
Cc: Deepak Saxena <dsaxena@linaro.org>
Cc: Linus Walleij <linus.walleij@linaro.org>
Cc: Samuel Ortiz <sameo@linux.intel.com>
Cc: Lee Jones <lee.jones@linaro.org>
Cc: linux-kernel@vger.kernel.org
---
 include/linux/mfd/tmio.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/include/linux/mfd/tmio.h b/include/linux/mfd/tmio.h
index baa2346..b22883d 100644
--- a/include/linux/mfd/tmio.h
+++ b/include/linux/mfd/tmio.h
@@ -106,6 +106,7 @@ struct tmio_mmc_data {
 	struct tmio_mmc_dma		*dma;
 	struct device			*dev;
 	unsigned int			cd_gpio;
+	void (*set_pwr)(struct platform_device *host, int state);
 	void (*set_clk_div)(struct platform_device *host, int state);
 	int (*write16_hook)(struct tmio_mmc_host *host, int addr);
 	/* clock management callbacks */
-- 
1.8.1.2

